UP - 31/05/2013 9:00 UTC [TESTING] [DONE]

SolydXK is too quiet for you? SolydXK Enthusiast Editions, based on Debian Testing is for you! Here you can find news about Debian Testing and Unstable too, and also tests on SolydXK programs.
The support for SolydXK EE is provided by the community.
User avatar
Arjen Balfoort
Site Admin
Posts: 9518
Joined: 26 Jan 2013 19:36
Location: Netherlands
Contact:

Re: UP - 31/05/2013 9:00 UTC

Postby Arjen Balfoort » 01 Jun 2013 17:34

This is on SolydK 64.
I installed openjdk-7*, to no avail.

It simply hangs on oosplash.
If I click the spalsh window, it disappears, but the process must be killed manually.
No error messages.

Starting with

Code: Select all

libreoffice --nologo
doesn't do a thing.


SolydXK needs you!
Development | Testing | Translations

User avatar
BostonPeng
Posts: 475
Joined: 28 Feb 2013 14:35
Location: Boston, MA
Contact:

Re: UP - 31/05/2013 9:00 UTC

Postby BostonPeng » 01 Jun 2013 17:40

See what happens when y'all try to go all fancy with your 64-bit systems? In my days we didn't have 64 bit, we had 16 if we were lucky, and we hand to crank the system by hand just to get it started. [/oldmanrant]


Sorry, I could't resist. :mrgreen:
J.M. Hardin

System:
ASUS X555LA notebook

User avatar
CjTX2
Posts: 170
Joined: 23 Feb 2013 15:42
Location: Texas

Re: UP - 31/05/2013 9:00 UTC

Postby CjTX2 » 01 Jun 2013 17:51

:lol: Thanks you guys! I cannot speak for Schoelje, but I certainly needed a good laugh today.

Building new machine named Garfield II & still using an old T42 Thinkpad that's old and slow, but just keeps on going and going . . . sorta like me! :lol:

User avatar
Arjen Balfoort
Site Admin
Posts: 9518
Joined: 26 Jan 2013 19:36
Location: Netherlands
Contact:

Re: UP - 31/05/2013 9:00 UTC

Postby Arjen Balfoort » 01 Jun 2013 18:24

Purging libreoffice* didn't do a thing either :cry:


SolydXK needs you!
Development | Testing | Translations

User avatar
Arjen Balfoort
Site Admin
Posts: 9518
Joined: 26 Jan 2013 19:36
Location: Netherlands
Contact:

Re: UP - 31/05/2013 9:00 UTC

Postby Arjen Balfoort » 01 Jun 2013 18:51

Upgrading to sid, did the trick.
So....which of these packages need to be upgraded in our repository?

Code: Select all

solydxk solydxk # apt-get dist-upgrade
Reading package lists... Done
Building dependency tree       
Reading state information... Done
Calculating upgrade... Done
The following NEW packages will be installed:
  at-spi2-core easy-rsa iproute2 libasound2-data libatk-bridge2.0-0 libatm1
  libatspi2.0-0 libauthen-sasl-perl libavutil52 libboost-filesystem1.53.0
  libboost-regex1.53.0 libboost-signals1.53.0 libboost-system1.53.0
  libboost-thread1.53.0 libbrlapi0.6 libharfbuzz0 libio-html-perl libjson-c2
  libmono-corlib4.5-cil libnet-smtp-ssl-perl libpango-1.0-0
  libpangocairo-1.0-0 libpangoft2-1.0-0 libpangox-1.0-0 libpangoxft-1.0-0
  libprocps1 libsecret-1-0 libsecret-common libudisks2-0 libx264-133
  libxtables10 linux-headers-3.8-2-amd64 linux-headers-3.8-2-common
  linux-image-3.8-2-amd64 linux-kbuild-3.8 opensc qtchooser udisks2
The following packages have been kept back:
  libsnmp-base
The following packages will be upgraded:
  acpid alsa-utils bc binfmt-support btrfs-tools coreutils cpio cpp-4.4 dc
  dmsetup dnsmasq-base docbook-xsl enblend enfuse fakeroot ffmpeg fonts-droid
  fonts-lohit-beng-assamese fonts-lohit-beng-bengali fonts-lohit-gujr
  fonts-lohit-guru fuse g++-4.4 gcc-4.4 gcc-4.4-base gcc-4.8-base
  gcc-4.8-base:i386 gettext-base gpsd grep groff-base grub-common grub-pc
  grub-pc-bin grub2-common gtk2-engines-oxygen gvfs gvfs-common gvfs-daemons
  gvfs-libs hugin hugin-data hugin-tools icedtea-7-jre-jamvm icedtea-7-plugin
  icedtea-netx icedtea-netx-common icoutils iproute iptables isc-dhcp-client
  isc-dhcp-common iucode-tool javascript-common kde-config-gtk-style
  libasound2:i386 libasound2 libasprintf0c2 libatkmm-1.6-1 libavcodec54
  libavdevice54 libavfilter3 libavformat54 libavutil51
  libboost-date-time1.53.0 libbsd0 libcanberra-gtk-module libcanberra-gtk0
  libcanberra-gtk3-0 libcanberra-gtk3-module libcanberra-pulse libcanberra0
  libdbusmenu-qt2 libdecoration0 libdevmapper-event1.02.1 libdevmapper1.02.1
  libfile-mimeinfo-perl libfuse2 libgail-3-0 libgcc1 libgcc1:i386 libgeoclue0
  libgfortran3 libglibmm-2.4-1c2a libgmp10 libgmpxx4ldbl libgnutls-openssl27
  libgnutls26 libgnutls26:i386 libgomp1 libgps20 libgraphite2-3
  libgssapi-krb5-2 libgtk-3-0 libgtk-3-bin libgtk-3-common libgtk2-perl
  libhsqldb-java libhttp-message-perl libio-socket-ssl-perl libiodbc2 libitm1
  libjson0 libk5crypto3 libkrb5-3 libkrb5support0 liblouis-data liblvm2app2.2
  liblwp-protocol-https-perl libmailtools-perl libmono-cairo2.0-cil
  libmono-cairo4.0-cil libmono-compilerservices-symbolwriter4.0-cil
  libmono-corlib2.0-cil libmono-corlib4.0-cil libmono-data-tds2.0-cil
  libmono-data-tds4.0-cil libmono-i18n-west2.0-cil libmono-i18n-west4.0-cil
  libmono-i18n4.0-cil libmono-messaging2.0-cil libmono-posix2.0-cil
  libmono-posix4.0-cil libmono-security2.0-cil libmono-security4.0-cil
  libmono-sharpzip2.84-cil libmono-sharpzip4.84-cil libmono-simd2.0-cil
  libmono-sqlite2.0-cil libmono-sqlite4.0-cil
  libmono-system-configuration4.0-cil libmono-system-core4.0-cil
  libmono-system-data2.0-cil libmono-system-data4.0-cil
  libmono-system-enterpriseservices4.0-cil libmono-system-messaging2.0-cil
  libmono-system-security4.0-cil libmono-system-transactions4.0-cil
  libmono-system-web-applicationservices4.0-cil libmono-system-xml4.0-cil
  libmono-system2.0-cil libmono-system4.0-cil libnet-http-perl libnettle4
  libnl-3-200 libnl-genl-3-200 libnl-route-3-200 libpango1.0-0
  libparted0debian1 libpcap0.8 libpci3 libpostproc52 libpython3.3
  libpython3.3-minimal libpython3.3-stdlib libqt4-dbus libqt4-declarative
  libqt4-designer libqt4-help libqt4-network libqt4-opengl libqt4-qt3support
  libqt4-script libqt4-scripttools libqt4-sql libqt4-sql-mysql
  libqt4-sql-sqlite libqt4-svg libqt4-test libqt4-xml libqt4-xmlpatterns
  libqtcore4 libqtdbus4 libqtgui4 libquadmath0 librsvg2-2 librsvg2-common
  libsoup-gnome2.4-1 libsoup2.4-1 libssh2-1 libssl1.0.0:i386 libssl1.0.0
  libstdc++6 libstdc++6:i386 libstdc++6-4.4-dev libswresample0 libswscale2
  libusb-0.1-4 libva-x11-1 libva1 libvisio-0.0-0 libvlc5 libvlccore5 libvpx1
  libxalan2-java libxapian22 linux-headers-amd64 linux-image-amd64
  linux-libc-dev logrotate manpages manpages-dev mono-2.0-gac mono-4.0-gac
  mono-gac mono-runtime mplayer mtools openjdk-7-jdk openjdk-7-jre
  openjdk-7-jre-headless openjdk-7-jre-lib openssh-client openssl openvpn
  os-prober pciutils phonon-backend-vlc playonlinux ppp procps python-brlapi
  python-cups python-cupshelpers python-decorator python-gdbm python-mako
  python-xapian python3.3 python3.3-minimal qdbus synaptic
  syslinux-themes-debian syslinux-themes-debian-squeeze
  syslinux-themes-debian-wheezy system-config-printer-udev tzdata tzdata-java
  vim-common vim-tiny virtualbox-guest-dkms virtualbox-guest-utils
  virtualbox-guest-x11 vlc vlc-data vlc-nox vlc-plugin-notify vlc-plugin-pulse
  xterm yelp-xsl zenity zenity-common
252 upgraded, 38 newly installed, 0 to remove and 1 not upgraded.
Need to get 253 MB of archives.
After this operation, 176 MB of additional disk space will be used.
Do you want to continue [Y/n]? 


SolydXK needs you!
Development | Testing | Translations

cwwgateway
Posts: 1215
Joined: 23 Feb 2013 19:14

Re: UP - 31/05/2013 9:00 UTC

Postby cwwgateway » 01 Jun 2013 19:00

I can't reproduce this on SolydK 64-bit... Libreoffice 4.0.3 is working on all of my installs.

The upgrade went fine on SolydK 64-bit. At least for me, I can confirm all of the solved problems are solved (can't test alacarte here, will upgrade my SolydX install).
Dell XPS 15:
SolydX Debian Testing
SolydK Testing
SolydX Testing
Debian Sid Xfce
Debian Wheezy KDE
Arch Gnome Shell

Gateway:
SolydX Sid
Debian Sid OpenBox
Arch Linux OpenBox
CrunchBang Testing

cwwgateway
Posts: 1215
Joined: 23 Feb 2013 19:14

Re: UP - 31/05/2013 9:00 UTC

Postby cwwgateway » 01 Jun 2013 19:11

Everything went fine on my SolydX 64-bit install as well. Alacarte works as expected.
Dell XPS 15:
SolydX Debian Testing
SolydK Testing
SolydX Testing
Debian Sid Xfce
Debian Wheezy KDE
Arch Gnome Shell

Gateway:
SolydX Sid
Debian Sid OpenBox
Arch Linux OpenBox
CrunchBang Testing

User avatar
Arjen Balfoort
Site Admin
Posts: 9518
Joined: 26 Jan 2013 19:36
Location: Netherlands
Contact:

Re: UP - 31/05/2013 9:00 UTC

Postby Arjen Balfoort » 01 Jun 2013 19:19

I did an upgrade of SolydK 64 from a clean install (201304 iso) twice with the same result.
I'm going to do it again, but I'll take a good look at libxalan2-java...somehow that rings a bell, but can't remember where.


SolydXK needs you!
Development | Testing | Translations

User avatar
drc
Posts: 137
Joined: 30 Apr 2013 22:47
Location: Nebraska USA

Re: UP - 31/05/2013 9:00 UTC

Postby drc » 01 Jun 2013 19:21

cwwgateway wrote:Everything went fine on my SolydX 64-bit install as well. Alacarte works as expected.
Does "as expected" mean "it does what it's suposed to" or "doesn't work, as expected"? Because it's still not working (correctly) on my machine.

User avatar
Arjen Balfoort
Site Admin
Posts: 9518
Joined: 26 Jan 2013 19:36
Location: Netherlands
Contact:

Re: UP - 31/05/2013 9:00 UTC

Postby Arjen Balfoort » 01 Jun 2013 19:25

drc wrote:
cwwgateway wrote:Everything went fine on my SolydX 64-bit install as well. Alacarte works as expected.
Does "as expected" mean "it does what it's suposed to" or "doesn't work, as expected"? Because it's still not working (correctly) on my machine.
Try to purge and install again:

Code: Select all

sudo apt-get purge alacarte
sudo apt-get update
sudo apt-get install alacarte
This will downgrade alacarte, but should function (see the OP).


SolydXK needs you!
Development | Testing | Translations

User avatar
zerozero
Posts: 5373
Joined: 10 Feb 2013 23:37
Location: West Midlands, England
Contact:

Re: UP - 31/05/2013 9:00 UTC

Postby zerozero » 01 Jun 2013 19:29

Schoelje wrote:This is on SolydK 64.
I installed openjdk-7*, to no avail.

It simply hangs on oosplash.
If I click the spalsh window, it disappears, but the process must be killed manually.
No error messages.

Starting with

Code: Select all

libreoffice --nologo
doesn't do a thing.
but do you have any kind of output in the konsole?
so far noone could replicate the problems with LO after the upgrade.
i would be very careful with any changes in the repos before discarding that is a problem on your side.
bliss of ignorance

User avatar
drc
Posts: 137
Joined: 30 Apr 2013 22:47
Location: Nebraska USA

Re: UP - 31/05/2013 9:00 UTC

Postby drc » 01 Jun 2013 19:31

Schoelje wrote:This will downgrade alacarte, but should function (see the OP).
Works, as expected :)

I must have missed this in the voluminous postings, sorry.

User avatar
Arjen Balfoort
Site Admin
Posts: 9518
Joined: 26 Jan 2013 19:36
Location: Netherlands
Contact:

Re: UP - 31/05/2013 9:00 UTC

Postby Arjen Balfoort » 01 Jun 2013 19:44

zerozero wrote:but do you have any kind of output in the konsole?
so far noone could replicate the problems with LO after the upgrade.
i would be very careful with any changes in the repos before discarding that is a problem on your side.
No output on the konsole.
As long as no one has this issue, I'm not going to do anything with the repo's.
But I have to be sure. So, I'm running the upgrade again.


SolydXK needs you!
Development | Testing | Translations

User avatar
zerozero
Posts: 5373
Joined: 10 Feb 2013 23:37
Location: West Midlands, England
Contact:

Re: UP - 31/05/2013 9:00 UTC

Postby zerozero » 01 Jun 2013 19:47

Schoelje wrote:But I have to be sure. So, I'm running the upgrade again.
same here, i'm doing 2 upgrades as i type (one of X-64 and one of K-64bit) following the new instructions on the OP
bliss of ignorance

User avatar
Arjen Balfoort
Site Admin
Posts: 9518
Joined: 26 Jan 2013 19:36
Location: Netherlands
Contact:

Re: UP - 31/05/2013 9:00 UTC

Postby Arjen Balfoort » 01 Jun 2013 20:47

I repeated the issue again, but now I noticed this message:

Code: Select all

update-binfmts: warning: current package is openjdk-6, but binary format already installed by sun-java6
I thought: let's purge all the old stuff and only install openjdk-7...well that did the trick!

Code: Select all

apt-get purge openjdk-6* gcj-4.6-jre-headless gcj-4.7-jre-headless
apt-get install openjdk-7-jdk openjdk-7-jre openjdk-7-jre-headless openjdk-7-jre-lib icedtea-7-plugin
I could add these last two lines to our pre-script, or is there an easier alternative?


SolydXK needs you!
Development | Testing | Translations

User avatar
Arjen Balfoort
Site Admin
Posts: 9518
Joined: 26 Jan 2013 19:36
Location: Netherlands
Contact:

Re: UP - 31/05/2013 9:00 UTC

Postby Arjen Balfoort » 01 Jun 2013 20:54

Perhaps this would also have worked:

Code: Select all

sudo update-alternatives --set java /usr/lib/jvm/java-6-openjdk-amd64/jre/bin/java


SolydXK needs you!
Development | Testing | Translations

User avatar
zerozero
Posts: 5373
Joined: 10 Feb 2013 23:37
Location: West Midlands, England
Contact:

Re: UP - 31/05/2013 9:00 UTC

Postby zerozero » 01 Jun 2013 21:06

it might be related (or just a side-effect):
BostonPeng and me we had the same warnings but nonetheless LO is functional

Code: Select all

Setting up user-setup (1.49) ...
Setting up virtualbox-guest-additions-iso (4.2.10-2) ...
Setting up openjdk-6-jre-headless:amd64 (6b27-1.12.5-2) ...
Installing new version of config file /etc/java-6-openjdk/sound.properties ...
update-binfmts: warning: current package is openjdk-6, but binary format already installed by sun-java6
Setting up openjdk-6-jre-lib (6b27-1.12.5-2) ...
Setting up icedtea-6-jre-cacao:amd64 (6b27-1.12.5-2) ...
Setting up openjdk-6-jre:amd64 (6b27-1.12.5-2) ...
Setting up icedtea-6-jre-jamvm:amd64 (6b27-1.12.5-2) ...
Processing triggers for libc-bin ...
ldconfig deferred processing now taking place
Processing triggers for menu ...
Processing triggers for initramfs-tools ...
update-initramfs: Generating /boot/initrd.img-3.2.0-4-amd64
Processing triggers for python-support ...
zerozero@home ~ $ 
http://forums.solydxk.nl/viewtopic.php?f=33&t=685#p7306
if the removal of openjdk-6 and installation of openjdk-7 solves it on your side and solves the warning as well i don't see a problem (not at the moment; someone that needs openjdk-6 and knows that this is bad idea please say)
bliss of ignorance

User avatar
Arjen Balfoort
Site Admin
Posts: 9518
Joined: 26 Jan 2013 19:36
Location: Netherlands
Contact:

Re: UP - 31/05/2013 9:00 UTC

Postby Arjen Balfoort » 01 Jun 2013 21:20

It would certainly clean up the old stuff.
And my hands are itching just to remove all the mono stuff in the same time...


SolydXK needs you!
Development | Testing | Translations

User avatar
Arjen Balfoort
Site Admin
Posts: 9518
Joined: 26 Jan 2013 19:36
Location: Netherlands
Contact:

Re: UP - 31/05/2013 9:00 UTC

Postby Arjen Balfoort » 01 Jun 2013 22:07

Okay, I just had to purge these old java remnants:

Code: Select all

apt-get purge gcj-4.6-jre-headless gcj-4.6-jre-lib gcj-4.7-jre-headless gcj-4.7-jre-lib
Leaving just openjdk-6


SolydXK needs you!
Development | Testing | Translations

User avatar
zerozero
Posts: 5373
Joined: 10 Feb 2013 23:37
Location: West Midlands, England
Contact:

Re: UP - 31/05/2013 9:00 UTC

Postby zerozero » 01 Jun 2013 22:36

as for mono you know what i think: kill the infection with poison :lol:

====
the latest tests (following in both situations the guidelines in the OP http://forums.solydxk.nl/viewtopic.php?f=33&t=685#p7245)
in both situations i started with an updated Production system

X-64bit
upgrade 1-6-13.tar.gz
X-64bit
(35.75 KiB) Downloaded 111 times
(full output)
1 - alacarte works as best as it can
2 - no missing icons whatsoever
3- FF has the Duck
4- got this warning

Code: Select all

(accounts-daemon:10893): GLib-GObject-WARNING **: g_object_notify: object class `User' has no property named `x-session'
related with accountsservice package
====
K-64bit
upgrade 1-6-13.tar.gz
K-64bit
(41.34 KiB) Downloaded 114 times
(full output)
1- the most relevant part: LO works
if the issue is openjdk, this is what i have installed (it's a standard install tho)

Code: Select all

zerozero@zerozero-vb ~ $ dpkg -l | egrep 'jre|jdk'
ii  default-jre-headless                          1:1.6-47                          amd64        Standard Java or Java compatible Runtime (headless)
ii  gcj-4.6-jre                                   4.6.4-2                           amd64        Java runtime environment using GIJ/classpath                                                         
ii  gcj-4.6-jre-headless                          4.6.4-2                           amd64        Java runtime environment using GIJ/classpath (headless version)                                      
ii  gcj-4.6-jre-lib                               4.6.4-2                           all          Java runtime library for use with gcj (jar files)                                                    
ii  gcj-4.7-jre                                   4.7.3-2                           amd64        Java runtime environment using GIJ/classpath                                                         
ii  gcj-4.7-jre-headless                          4.7.3-2                           amd64        Java runtime environment using GIJ/classpath (headless version)                                      
ii  gcj-4.7-jre-lib                               4.7.3-2                           all          Java runtime library for use with gcj (jar files)
ii  gcj-jre                                       4:4.7.2-1                         amd64        Java runtime environment using GIJ/classpath
ii  gcj-jre-headless                              4:4.7.2-1                         amd64        Java runtime environment using GIJ/classpath (headless version)
ii  icedtea-6-jre-cacao:amd64                     6b27-1.12.5-2                     amd64        Alternative JVM for OpenJDK, using Cacao
ii  icedtea-6-jre-jamvm:amd64                     6b27-1.12.5-2                     amd64        Alternative JVM for OpenJDK, using JamVM
ii  openjdk-6-jre:amd64                           6b27-1.12.5-2                     amd64        OpenJDK Java runtime, using Hotspot JIT
ii  openjdk-6-jre-headless:amd64                  6b27-1.12.5-2                     amd64        OpenJDK Java runtime, using Hotspot JIT (headless)
ii  openjdk-6-jre-lib                             6b27-1.12.5-2                     all          OpenJDK Java runtime (architecture independent libraries)
bliss of ignorance


Return to “Testing Zone”

Who is online

Users browsing this forum: No registered users and 13 guests